com.sun.mail.imap.protocol

## Class Namespaces

- java.lang.Object
- - com.sun.mail.imap.protocol.Namespaces

-     public class Namespaces
      extends Object

  This class and its inner class represent the response to the NAMESPACE command.

  See RFC 2342.

  Author:
    Bill Shannon

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Namespaces.Namespace` A single namespace entry.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Namespaces.Namespace[]` | `otherUsers` The namespaces for other users.
    `Namespaces.Namespace[]` | `personal` The personal namespaces.
    `Namespaces.Namespace[]` | `shared` The shared namespace.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Namespaces(Response r)` Parse out all the namespaces.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### personal

          public Namespaces.Namespace[] personal

      The personal namespaces. May be null.

    - #### otherUsers

          public Namespaces.Namespace[] otherUsers

      The namespaces for other users. May be null.

    - #### shared

          public Namespaces.Namespace[] shared

      The shared namespace. May be null.

  - ### Constructor Detail

    - #### Namespaces

          public Namespaces(Response r)
                     throws ProtocolException

      Parse out all the namespaces.
      Parameters:
        `r` - the Response to parse
      Throws:
        `ProtocolException` - for any protocol errors

Copyright © 2016 Oracle. All rights reserved.